get_filename_component(SigGenLib_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
include(CMakeFindDependencyMacro)

list(APPEND CMAKE_MODULE_PATH ${SigGenLib_CMAKE_DIR})

find_dependency(Boost 1.55 REQUIRED COMPONENTS regex)
list(REMOVE_AT CMAKE_MODULE_PATH -1)

if(NOT TARGET SigGenLib::SigGenLib)
    include("${SigGenLib_CMAKE_DIR}/SigGenLibTargets.cmake")
endif()

set(SigGenLib_LIBRARIES SigGenLib::SigGenLib)
